lang/ocaml - The NetBSD Packages Collection

The latest implementation of the Caml dialect of ML

Objective Caml is the latest implementation of the Caml dialect of ML. The main
novelties compared with its ancestor, Caml Light, are:

     * Full support for objects and classes -- here combined for the first time
	with ML-style type reconstruction.
     * A powerful module calculus in the style of Standard ML (but retaining
	separate compilation).
     * A high-performance native code compiler (in addition to a Caml
	Light-style bytecode compiler).

Build dependencies

pkgtools/cwrappers devel/libtool-base shells/bash devel/gmake

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfocaml-4.11.1.tgz
NetBSD 8.0earmv7hfocaml-4.09.1.tgz
NetBSD 8.0earmv7hfocaml-4.11.2.tgz
NetBSD 8.0i386ocaml-4.09.1.tgz
NetBSD 8.0i386ocaml-4.11.1.tgz
NetBSD 8.0i386ocaml-4.11.2.tgz
NetBSD 8.0powerpcocaml-4.11.1.tgz
NetBSD 8.0powerpcocaml-4.11.1.tgz
NetBSD 8.0x86_64ocaml-4.09.1.tgz
NetBSD 8.0x86_64ocaml-4.11.1.tgz
NetBSD 9.0aarch64ocaml-4.11.2.tgz
NetBSD 9.0aarch64ocaml-4.09.1.tgz
NetBSD 9.0aarch64ocaml-4.11.1.tgz
NetBSD 9.0earmv6hfocaml-4.11.2.tgz
NetBSD 9.0earmv6hfocaml-4.09.1.tgz
NetBSD 9.0earmv6hfocaml-4.11.1.tgz
NetBSD 9.0earmv6hfocaml-4.11.1.tgz
NetBSD 9.0earmv7hfocaml-4.11.2.tgz
NetBSD 9.0earmv7hfocaml-4.09.1.tgz
NetBSD 9.0earmv7hfocaml-4.11.1.tgz
NetBSD 9.0earmv7hfocaml-4.11.1.tgz
NetBSD 9.0i386ocaml-4.09.1.tgz
NetBSD 9.0i386ocaml-4.11.1.tgz
NetBSD 9.0powerpcocaml-4.11.1.tgz
NetBSD 9.0x86_64ocaml-4.09.1.tgz
NetBSD 9.0x86_64ocaml-4.11.1.tgz
NetBSD 9.0x86_64ocaml-4.11.1.tgz
NetBSD 9.0x86_64ocaml-4.09.1.tgz
NetBSD 9.0x86_64ocaml-4.11.1.tgz
NetBSD 9.0x86_64ocaml-4.11.2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

flambda
Enable Flambda optimisation passes
pic
Enable compiling with -fPIC
spacetime
Enable memory profiling with Spacetime

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.